[Summit] [Standards] Tigase and version attribute on stream element..

Joe Hildebrand joe.hildebrand at webex.com
Sat Jul 24 07:04:13 CST 2010


On 7/22/10 12:50 PM, "Peter Saint-Andre" <stpeter at stpeter.im> wrote:

> 1. Older "XMPP 0.9" entities do not include the 'version' attribute.
> Perhaps we don't care about them anymore, but rejecting a connection
> attempt because the stream header lacks a 'version' attribute seems
> unnecessarily strict to me.

Do be clear, XCP wasn't rejecting the connection because of the lack of a
version attribute, directly.  At that moment, it was in TLS-required mode.
If you don't send version='1.0', you don't get stream:features, which means
you can't do start-TLS.  Disconnect by policy is the only rational course of
action in that configuration.

-- 
Joe Hildebrand



More information about the Summit mailing list